Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlLocator

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlLocator

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QXmlLocator

extends QtJambiObject

The `QXmlLocator` class provides the XML handler classes with information about the parsing position within a file.

The reader reports a `QXmlLocator` to the content handler before it starts to parse the document. This is done with the QXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the position (`lineNumber` and `columnNumber`) that the reader has reached.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QXmlLocator()` Constructor.

Method Summary
`abstract int` | `columnNumber()` Returns the column number (starting at 1) or -1 if there is no column number available.
`static QXmlLocator` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QXmlLocator instance pointed to by nativePointer
`abstract int` | `lineNumber()` Returns the line number (starting at 1) or -1 if there is no line number available.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlLocator

    public QXmlLocator()

  Constructor.

Method Detail

### columnNumber

    public abstract int columnNumber()

  Returns the column number (starting at 1) or -1 if there is no column number available.

### lineNumber

    public abstract int lineNumber()

  Returns the line number (starting at 1) or -1 if there is no line number available.

### fromNativePointer

    public static QXmlLocator fromNativePointer(QNativePointer nativePointer)

  This function returns the QXmlLocator instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD